com.tibco.n2.service.adapter.logging

## Class SALoggingInfo

- java.lang.Object
- - com.tibco.n2.logging.metadata.AbstractLoggingMetaData
  - - com.tibco.n2.service.adapter.logging.SALoggingInfo

-     public class SALoggingInfo
      extends com.tibco.n2.logging.metadata.AbstractLoggingMetaData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLASS_NAME`
    `static java.lang.String` | `ERROR_MESSAGE`
    `static SALoggingInfo` | `instance`
    `static java.lang.String` | `METHOD_NAME`

    - ### Fields inherited from class com.tibco.n2.logging.metadata.AbstractLoggingMetaData

      `childClasses, componentId, description, ec, eventProbeFactory, groupId, parent, PROPERTY_MAPPING, registrationManager, RUNTIME_MAPPING, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SALoggingInfo()`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.n2.logging.metadata.AbstractLoggingMetaData

      `check, checkCLMDStructure, checkIfRegistered, clearBatchedEvents, getBatchedEvents, getBoundEnvironment, getComponentId, getDescription, getEventProbeFactory, getGroupId, getParent, getRegistrationManager, getVersion, init, instance, newInstance, resolveParent, setBatchEventCollector, setEventProbeFactory, setRegistrationManager, toString, updateBatchedEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final SALoggingInfo instance

    - #### CLASS_NAME

          public static final java.lang.String CLASS_NAME

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final java.lang.String ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### METHOD_NAME

          public static final java.lang.String METHOD_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SALoggingInfo

          public SALoggingInfo()

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.